com.massivecraft.factions.util

## Class MiscUtil

- java.lang.Object
- - com.massivecraft.factions.util.MiscUtil

-     public class MiscUtil
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.HashSet<java.lang.String>` | `substanceChars`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MiscUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.bukkit.entity.EntityType` | `creatureTypeFromEntity(org.bukkit.entity.Entity entity)`
    `static java.lang.String` | `getComparisonString(java.lang.String str)`
    `static long[]` | `range(long start, long end)`
    `static java.lang.Iterable<FPlayer>` | `rankOrder(java.lang.Iterable<FPlayer> players)`
    `static java.util.ArrayList<java.lang.String>` | `validateTag(java.lang.String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### substanceChars

          public static java.util.HashSet<java.lang.String> substanceChars

  - ### Constructor Detail

    - #### MiscUtil

          public MiscUtil()

  - ### Method Detail

    - #### creatureTypeFromEntity

          public static org.bukkit.entity.EntityType creatureTypeFromEntity(org.bukkit.entity.Entity entity)

    - #### range

          public static long[] range(long start,
                                     long end)

    - #### getComparisonString

          public static java.lang.String getComparisonString(java.lang.String str)

    - #### validateTag

          public static java.util.ArrayList<java.lang.String> validateTag(java.lang.String str)

    - #### rankOrder

          public static java.lang.Iterable<FPlayer> rankOrder(java.lang.Iterable<FPlayer> players)